---
title: CSSSkewY()
slug: Web/API/CSSSkewY/CSSSkewY
tags:
  - API
  - CSS Typed Object Model API
  - CSSSkewY
  - CSSTransformComponent
  - CSSTransformValue
  - Constructor
  - Experimental
  - Houdini
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSSkewY()</code></strong> constructor creates a new {{domxref("CSSSkewY")}} object which represents the <code><a href="/en-US/docs/Web/CSS/transform-function/skewY()">skewY()</a></code> value of the individual {{CSSXRef('transform')}} property in CSS.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSSkewY</var> = new CSSSkewY(<em>ay</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>{{domxref('CSSSkewY.ay','ay')}}</dt>
 <dd>A value for the <code>ay</code> angle of the {{domxref('CSSSkewY')}} object to be constructed. This must be a {{domxref('CSSNumericValue')}}.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssskewy-cssskewy','CSSskewY()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSSkewY.CSSSkewY")}}</p>
